@font-face {
  font-family: "Dreamlife";
  src: url("../../../../fonts/miiverse/DreamLife.ttf");
}

@font-face {
  font-family: "Dreamland";
  src: url("../../../../fonts/miiverse/Dreamland.otf");
}

@font-face {
  font-family: "Dita";
  src: url("../../../../fonts/miiverse/Dita.otf");
}

@font-face {
  font-family: "Dita Bold";
  src: url("../../../../fonts/miiverse/Dita-Bold.otf");
}

* {
  box-sizing: border-box;
  font-weight: normal;
  margin: 0;
  padding: 0;
  color: #03243d;
}

a {
  text-decoration: none;
}

body {
  background-image: url("../../../../graphics/misc/miiverse/mii-bg1.png");
  background-size: 50%;
  background-position: 0 0;
  animation: animate-bg 60s linear infinite;
}

h1 {
  font-family: "Dreamlife";
  font-size: 4rem;
  font-weight: normal;
}

h2 {
  font-family: "Dreamland";
  font-size: 2rem;
  font-weight: normal;
}

audio {
  display: none !important;
}

@keyframes animate-bg {
  0% {
    background-position: 0 0;
  }
  100% {
    background-position: 1448px 1448px;
  }
}

.o-navbar {
  position: relative;
  width: 100%;
  height: fit-content;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: flex-start;
  padding: 3rem 4rem;
}

.o-navbar::after {
  content: "";
  background: url("../../../../graphics/misc/miiverse/mii-nav-wave.svg");
  background-repeat: repeat-x;
  background-position: 0;
  background-size: 200% 100%;
  left: 0;
  top: 0;
  width: 100%;
  height: 120%;
  position: absolute;
  z-index: -1;
  overflow: visible;
  animation: animate-navbar 20s linear infinite;
}

@keyframes animate-navbar {
  0% {
    background-position: 0;
  }
  100% {
    background-position: 200%;
  }
}

.o-navbar__right {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 1rem;
} 

.o-heading--main {
  width: 100%;
  height: fit-content;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin-top: 6rem;
}

.o-footer {
  position: relative;
  width: 100%;
  height: fit-content;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
  gap: 1rem;
  padding: 6rem 4rem 2rem 4rem;
  /* color: #03243d; */
  font-family: "Dita Bold";
}

.o-footer::after {
  content: "";
  background: url("../../../../graphics/misc/miiverse/mii-nav-wave.svg");
  background-repeat: repeat-x;
  background-position: 0;
  background-size: 200% 100%;
  transform: scaleY(-1);
  left: 0;
  top: 0;
  width: 100%;
  height: 120%;
  position: absolute;
  z-index: -1;
  overflow: visible;
  animation: animate-footer 20s linear reverse infinite;
}

@keyframes animate-footer {
  0% {
    background-position: 0;
  }
  100% {
    background-position: 200%;
  }
}


.o-button {
  padding: 0.8rem 1.5rem 0.8rem 1.3rem;
  border: none;
  border-radius: 100px;
  background: #fdfefe;
  font-family: "Dita Bold";
  color: #03243d;
  text-align: center;
  box-shadow: 0px 4px 0px 0px #e1e1dbFF, 0px 8px 0px 0px #c9ac53FF;
}

.o-button:hover {
  cursor: pointer;
}

.o-button--checkbox {
  display: grid;
  grid-template-columns: 1rem auto;
  align-items: center;
  justify-items: center;
  gap: 1rem;
}

.o-button--checkbox input[type="checkbox"]:hover {
  cursor: pointer;
}

.o-button--checkbox input[type="checkbox"] {
  /* remove default appearance */
  appearance: none;
  background-color: #fff; /* For iOS < 15 to remove gradient background */
  margin: 0;
  /* add custom appearance */
  font: inherit;
  color: #e1e1db;
  width: 2rem;
  height: 2rem;
  border: 3px solid #e1e1db;
  border-radius: 100px;
  background: none;
  display: grid;
  place-content: center;
}

.o-button--checkbox:hover {
  transform: translateY(4px);
  box-shadow: 0px 4px 0px 0px #c9ac53FF;
}

.o-button--checkbox input[type="checkbox"]::before {
  content: "";
  width: 2rem;
  height: 2rem;
  border: none;
  border-radius: 100px;
  background: #dc6830;
  background: url("../../../../graphics/misc/miiverse/checked.svg");
  background-size: 98%;
  visibility: hidden;
}

.o-button--checkbox input[type="checkbox"]:checked::before {
  visibility: visible;
}

.o-button--icon {
  padding: 0.8rem 0.938rem 0.8rem 0.8rem;
  border: none;
  border-radius: 100px;
  background: #fdfefe;
  font-family: "Dita Bold";
  color: #03243d;
  display: grid;
  grid-template-columns: auto 1fr;
  align-items: center;
  justify-items: center;
  gap: 0.625rem;
  box-shadow: 0px 4px 0px 0px #e1e1dbFF, 0px 8px 0px 0px #c9ac53FF;
}

.o-button--icon:hover {
  transform: translateY(4px);
  box-shadow: 0px 4px 0px 0px #c9ac53FF;
}

.o-button--popup {
  background: #F47915FF;
  color: #ffffff;
  box-shadow: 0px 4px 0px 0px #c2702dFF, 0px 8px 0px 0px #c9ac53FF;
  font-size: 1.2rem;
  width: 13ch;
}

.o-button--popup:hover {
  transform: translateY(4px);
  box-shadow: 0px 4px 0px 0px #c9ac53FF;
}

/* warning popup */

.o-warning-popup {
  position: fixed;
  top: 0px;
  left: 0px;
  width: 100%;
  height: 100vh;
  background: #0000004D;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 5;
}

.o-warning-popup__content {
  background: url(../../../../graphics/misc/miiverse/popup.svg);
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;
  padding: 8rem 9rem 7rem 9rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: fit-content;
  height: fit-content;
}

.o-warning-popup__text {
  font-family: "Dita Bold";
  text-align: center;
  vertical-align: middle;
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin: 5rem 0;
  font-size: 1.5rem;
}

.o-warning-popup__buttons {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 1rem;
}

/* utility classes */

.u-pause-animation {
  animation-play-state: paused !important;
}

.u-pause-animation::after {
  animation-play-state: paused !important;
}

.u-hidden {
  display: none !important;
}

@media screen and (max-width: 1070px) {
  .o-warning-popup__content {
    background: url("../../../../graphics/misc/miiverse/popup.svg");
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    padding: 7rem 9rem 7rem 9rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: fit-content;
    height: fit-content;
    margin: 0 2rem;
  }
}

@media screen and (max-width: 790px) {
  .o-navbar {
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 2rem;
  }
}

@media screen and (max-width: 730px) {
  .o-warning-popup__text {
    font-family: "Dita Bold";
    text-align: center;
    vertical-align: middle;
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 2rem 0;
    font-size: 1.3rem;
  }

  .o-button--popup {
    background: #F47915FF;
    color: #ffffff;
    box-shadow: 0px 4px 0px 0px #c2702dFF, 0px 8px 0px 0px #c9ac53FF;
    font-size: 1.1rem;
    width: 13ch;
  }
}

@media screen and (max-width: 570px) {
  .o-warning-popup__content {
    background: url("../../../../graphics/misc/miiverse/popup.svg");
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    padding: 5rem 3rem 5rem 3rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: fit-content;
    height: fit-content;
    margin: 0;
  }

  .o-warning-popup__text {
    font-family: "Dita Bold";
    text-align: center;
    vertical-align: middle;
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 2rem 0;
    font-size: 1.2rem;
  }

  .o-button--popup {
    background: #F47915FF;
    color: #ffffff;
    box-shadow: 0px 4px 0px 0px #c2702dFF, 0px 8px 0px 0px #c9ac53FF;
    font-size: 1rem;
    width: 13ch;
  }
}